/**
   A graphics example.

   A JFrame with a graphics panel that counts its refreshes.
*/
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Graphics;
import java.awt.Color;

public class GraphicsExperiment4
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("JFrame with a graphics panel (that counts refreshes).");
      f.setSize(600, 600);
      f.setLocationRelativeTo(null);
      f.setVisible(true);

      JPanel panel = new GraphicsPanel();
      f.add(panel);
   }
}

@SuppressWarnings("serial")
class GraphicsPanel extends JPanel
{
   @Override
   public void paintComponent(Graphics g)
   {
      super.paintComponent(g);  // call JPanel's version
      g.setColor(Color.red);
      g.fillRect(20, 40, 70, 30);
      g.setColor(Color.blue);
      g.fillRect(60, 10, 20, 80);
      g.setColor(Color.green);
      g.fillRect(300, 300, 100, 100);
      g.setColor(Color.black);
      g.drawLine(0,0, 300,300);
      System.out.println(++count); // Print a message every time
   }                               // this method gets called.

   private int count = 0;
}
