/**
   Combine graphics code with GUI code.
*/
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.Graphics;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.BorderLayout;
import java.awt.FlowLayout;

public class GraphicsExperiment6
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("JFrame with graphics panel & GUI components.");
      f.setSize(600, 600);

      JPanel north = new JPanel(new FlowLayout());
      north.add(new JLabel("Type your name:"));
      north.add(new JTextField(10));
      f.add(north, BorderLayout.NORTH);

      f.add(new JButton("Submit"), BorderLayout.SOUTH);

      JPanel panel = new GraphicsPanel();
      f.add(panel, BorderLayout.CENTER);

      f.setLocationRelativeTo(null);
      f.setVisible(true);
   }
}


@SuppressWarnings("serial")
class GraphicsPanel extends JPanel
{
   public GraphicsPanel()
   {
      setPreferredSize(new Dimension(400, 400));
      setBackground(Color.WHITE);
   }

   public void paintComponent(Graphics g)
   {
      super.paintComponent(g);  // call JPanel's version
      g.setColor(Color.red);
      g.fillRect(20, 40, 70, 30);
      g.setColor(Color.blue);
      g.fillRect(60, 10, 20, 80);
      g.setColor(Color.green);
      g.fillRect(300, 300, 100, 100);
      g.setColor(Color.black);
      g.drawLine(0,0, 300,300);
      System.out.println(++count); // Print a message every time
   }                               // this method gets called.

   private int count = 0;
}
