/**
   Compare several different layout
   managers for the "same" GUI.

   https://docs.oracle.com/javase/tutorial/uiswing/layout/visual.html
*/
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.BorderLayout;

public class GUIExperiment2
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("JFrame with a layout and components.");

      f.setLayout(new FlowLayout()); // try GridLayout() or GridLayout(2,3) or BorderLayout()

      f.add(new JButton("one"));
      f.add(new JLabel("two"));
      f.add(new JButton("three"));
      f.add(new JLabel("four"));
      f.add(new JButton("five"));
      f.add(new JCheckBox("Checked", true));

      f.setSize(600, 600);
      f.setLocationRelativeTo(null);
      f.setVisible(true);
   }
}
